Subject: RE: link error - missing user32?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Mark Rubin" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 25 Mar 2002 15:06:22 -0500

Good.  But you shouldn't need to do this unless the w32api package you 
downloaded is not current.  If it contains './' at the start of the paths in 
the tar file, then it's not current.  You would need to either do what you did 
or  delete and redownload a new w32api package, perhaps from a different 
mirror.  However, the current problem with setup that caused this issue has
been worked-around by repackaging w32api with the './' parts removed so
you shouldn't see this problem with any current download of w32api.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 02:56 PM 3/25/2002, Mark Rubin wrote:
>I resolved the issue by following the course of action listed in:
>
>http://www.cygwin.com/ml/cygwin/2002-03/msg01262.html
>
>I am not sure if this the best approach, but it worked.
>
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: Monday, March 25, 2002 11:43 AM
>To: Mark Rubin; [email-masked]
>Subject: Re: link error - missing user32?
>
>
>At 02:28 PM 3/25/2002, Mark Rubin wrote:
> >I just installed cygwin for the first time and I am having trouble linking hello.c on Win2k. I read the FAQ and did a search in the archives for similar errors. Although I found references to the same problem, I was not able to resolve it by follow the same course of action as the other users. So far I have:
> >
> >-reinstalled everything
> >-reinstalled the w32 libs
> >
> >
> >Error is below:
> >
> >$ gcc hello.c
> >/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld: cann
> >ot find -luser32
> >collect2: ld returned 1 exit status
> >
> >Any other suggestions?
>
>
>You'll need to be more specific about what you did and saw if you want 
>reasonable suggestions.  There's only two things I can suggest you try
>at this point:
>
>    1. Use the setup from www.cygwin.com if you did not.
>    2. Debug the problem.
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>838 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/